#pragma once
#include "stringlistctrl.h"


// CPathPage4 ダイアログ

class CPathPage4 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPathPage4)

public:
	CPathPage4(CConfigAccess path);
	virtual ~CPathPage4();

// ダイアログ データ
	enum { IDD = IDD_PATH_4 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート

	DECLARE_MESSAGE_MAP()
public:
	BOOL m_enable;
	CStringListCtrl m_accept;
	CStringListCtrl m_denied;
	CString m_acceptEdit;
	CString m_deniedEdit;
	CString m_testEdit;
	CConfigAccess	m_kickSetting;
	CConfigAccess	m_pathSetting;
	CImageList		m_imageList;

	afx_msg void OnBnClickedAcceptAdd();
	afx_msg void OnBnClickedAcceptDel();
	afx_msg void OnBnClickedDeniedAdd();
	afx_msg void OnBnClickedDeniedDel();
	afx_msg void OnBnClickedTest();
	virtual BOOL OnInitDialog();
	virtual BOOL OnKillActive();

	int IsIP(CString ip,int alert=1);
	afx_msg void OnBnClickedAcceptImport();

	int Import(CStringArray &list);
	afx_msg void OnBnClickedDeniedImport();
};
